LTP 在7.0.4下编译出错

为当前最终发行版之前的所有版本提供支持
回复
hooman
帖子: 10
注册时间: 2007-03-30 13:27
送出感谢: 0
接收感谢: 0

LTP 在7.0.4下编译出错

#1

帖子 hooman » 2007-04-04 11:41

有人用LTP吗?
我在7.0.4 beta AMD64 server版上编译LTP 20070331 出如下错误:

代码: 全选

make[4]: Entering directory `/opt/testSuite/ltp-full-20070331/testcases/network/tcp_cmds/ftp'
../../generate.sh
../../generate.sh: 60: arith: syntax error: "cnt--"
make[4]: *** [generate] Error 2
新装的电脑,本打算用LTP来烤机,并测试下UBUNTU 的稳定性呢。
这下搞不成了。
hooman
帖子: 10
注册时间: 2007-03-30 13:27
送出感谢: 0
接收感谢: 0

#2

帖子 hooman » 2007-04-04 16:02

晕倒,是Dash对这种语法不兼容。
改为BASH就OK了。。。

BTW,DASH是什么东东?为什么缺省 /bin/sh 指向DASH ?
回复

回到 “老旧版本支持”